List immutable E-mail template versions.
GET
/v1/email-templates/{templateId}/versions
const url = 'https://api.dev.iot-sens.schlossers.at/v1/email-templates/2489E9AD-2EE2-8E00-8EC9-32D5F69181C0/versions?limit=25';const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request GET \ --url 'https://api.dev.iot-sens.schlossers.at/v1/email-templates/2489E9AD-2EE2-8E00-8EC9-32D5F69181C0/versions?limit=25' \ --header 'Authorization: Bearer <token>'Authorizations
Section titled “Authorizations”Parameters
Section titled “Parameters”Path Parameters
Section titled “Path Parameters”templateId
required
string format: uuid
Query Parameters
Section titled “Query Parameters”cursor
string
Opaque continuation token; reuse the original filters and scope.
limit
integer
Number of immutable history entries to return without an exact total.
Responses
Section titled “Responses”Progressive E-mail template versions without an exact total.
Media typeapplication/json
object
items
required
Array<object>
object
nextCursor
string
Examplegenerated
{ "items": [ {} ], "nextCursor": "example"}default
Section titled “default”A safe platform error response.
Media typeapplication/json
object
error
required
object
Example
{ "error": { "code": "VALIDATION_FAILED", "category": "validation" }}Headers
Section titled “Headers”Cache-Control
string